Describe a workspace
curl --request GET \
--url https://api.pinecone.io/workspaces/{workspace_name} \
--header 'Api-Key: <api-key>' \
--header 'X-Pinecone-Api-Version: <x-pinecone-api-version>'import requests
url = "https://api.pinecone.io/workspaces/{workspace_name}"
headers = {
"X-Pinecone-Api-Version": "<x-pinecone-api-version>",
"Api-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Pinecone-Api-Version': '<x-pinecone-api-version>', 'Api-Key': '<api-key>'}
};
fetch('https://api.pinecone.io/workspaces/{workspace_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pinecone.io/workspaces/{workspace_name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>",
"X-Pinecone-Api-Version: <x-pinecone-api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pinecone.io/workspaces/{workspace_name}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Pinecone-Api-Version", "<x-pinecone-api-version>")
req.Header.Add("Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pinecone.io/workspaces/{workspace_name}")
.header("X-Pinecone-Api-Version", "<x-pinecone-api-version>")
.header("Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pinecone.io/workspaces/{workspace_name}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Pinecone-Api-Version"] = '<x-pinecone-api-version>'
request["Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"created_at": "2026-06-01T00:00:00.000Z",
"host": "production-c01b5b5.wksp.aws-us-east-1-b921.byoc.pinecone.io",
"name": "production",
"spec": {
"byoc": {
"environment": "aws-us-east-1-b921.byoc"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"updated_at": "2026-06-01T00:00:00.000Z"
}Manage Workspaces
Describe a workspace
Get a description of a workspace.
GET
/
workspaces
/
{workspace_name}
Describe a workspace
curl --request GET \
--url https://api.pinecone.io/workspaces/{workspace_name} \
--header 'Api-Key: <api-key>' \
--header 'X-Pinecone-Api-Version: <x-pinecone-api-version>'import requests
url = "https://api.pinecone.io/workspaces/{workspace_name}"
headers = {
"X-Pinecone-Api-Version": "<x-pinecone-api-version>",
"Api-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Pinecone-Api-Version': '<x-pinecone-api-version>', 'Api-Key': '<api-key>'}
};
fetch('https://api.pinecone.io/workspaces/{workspace_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pinecone.io/workspaces/{workspace_name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>",
"X-Pinecone-Api-Version: <x-pinecone-api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pinecone.io/workspaces/{workspace_name}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Pinecone-Api-Version", "<x-pinecone-api-version>")
req.Header.Add("Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pinecone.io/workspaces/{workspace_name}")
.header("X-Pinecone-Api-Version", "<x-pinecone-api-version>")
.header("Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pinecone.io/workspaces/{workspace_name}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Pinecone-Api-Version"] = '<x-pinecone-api-version>'
request["Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"created_at": "2026-06-01T00:00:00.000Z",
"host": "production-c01b5b5.wksp.aws-us-east-1-b921.byoc.pinecone.io",
"name": "production",
"spec": {
"byoc": {
"environment": "aws-us-east-1-b921.byoc"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"updated_at": "2026-06-01T00:00:00.000Z"
}Authorizations
An API Key is required to call Pinecone APIs. Get yours from the console.
Path Parameters
The name of the workspace to be described. The name of the workspace. Resource name must be 1-45 characters long, start and end with an alphanumeric character, and consist only of lower case alphanumeric characters or '-'.
Required string length:
1 - 45Example:
"example-workspace"
Response
Configuration information and status of the workspace.
Describes a workspace, a project-scoped grouping of contexts.
Was this page helpful?